textures/kjapp/teleporter
{      
        qer_editorimage textures/kjapp/whitestar.tga
	cull none
	sort additive

	surfaceparm nodlight
	surfaceparm trans
	surfaceparm nonsolid
	nopicmip 
	deformVertexes autosprite	
	{
		
		clampmap textures/kjapp/whitestar.tga
		blendfunc gl_src_alpha gl_one	
		tcmod stretch sin 0.7 0.25 0 0.5	
		tcmod rotate 120	
	}
	{
		
		clampmap textures/kjapp/whitestar.tga
		blendfunc gl_src_alpha gl_one
		tcmod stretch sin 0.7 0.25 0.3 0.75		
		tcmod rotate -80	
	}
	

}

textures/kjapp/teleporter_green
{      
        qer_editorimage textures/kjapp/greenstar.tga
	cull none
	sort additive

	surfaceparm nodlight
	surfaceparm trans
	surfaceparm nonsolid
	nopicmip 
	deformVertexes autosprite	
	{
		
		clampmap textures/kjapp/greenstar.tga
		blendfunc gl_src_alpha gl_one	
		tcmod stretch sin 0.7 0.25 0 0.5	
		tcmod rotate 120	
	}
	{
		
		clampmap textures/kjapp/greenstar.tga
		blendfunc gl_src_alpha gl_one
		tcmod stretch sin 0.7 0.25 0.3 0.75		
		tcmod rotate -80	
	}
	

}

textures/kjapp/teleporter_yellow
{      
        qer_editorimage textures/kjapp/yellowstar.tga
	cull none
	sort additive

	surfaceparm nodlight
	surfaceparm trans
	surfaceparm nonsolid
	nopicmip 
	deformVertexes autosprite	
	{
		
		clampmap textures/kjapp/yellowstar.tga
		blendfunc gl_src_alpha gl_one	
		tcmod stretch sin 0.7 0.25 0 0.5	
		tcmod rotate 120	
	}
	{
		
		clampmap textures/kjapp/yellowstar.tga
		blendfunc gl_src_alpha gl_one
		tcmod stretch sin 0.7 0.25 0.3 0.75		
		tcmod rotate -80	
	}
	

}

textures/kjapp/flumb
{
	qer_editorimage textures/appqtex/flumb.jpg
	cull none	
	nocompress
	surfaceparm nomarks	
	surfaceparm nonsolid	
	surfaceparm pointlight
	surfaceparm trans
	q3map_surfacelight 3000
        q3map_lightimage textures/kjapp/flumb.jpg
	deformVertexes wave 32 sin 0 2 0 0.3 
	tessSize 32
	{	
		map textures/kjapp/flumb.jpg
		blendFunc add
		// rgbGen wave sin 0 0.7 0 1 
		tcMod scroll 0.3 0
	}	
}

textures/kjapp/green_glass_1k
{
 	qer_editorimage textures/kjapp/greenglass.tga
 	surfaceparm trans
 	surfaceparm nomarks
 	surfaceparm nolightmap
 	qer_trans 0.70
 	cull none
 	cull disable
	q3map_lightsubdivide 256
	q3map_surfacelight 1000
	{
 		map textures/kjapp/greenglass.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
 	}

}

textures/kjapp/yorange_glass_1k
{
 	qer_editorimage textures/kjapp/yornageglass.tga
 	surfaceparm trans
 	surfaceparm nomarks
 	surfaceparm nolightmap
 	qer_trans 0.70
 	cull none
 	cull disable
	q3map_lightsubdivide 256
	q3map_surfacelight 1000
	{
 		map textures/kjapp/yornageglass.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
 	}

}

textures/kjapp/blue_glass_1k
{
 	qer_editorimage textures/kjapp/blueglass.tga
 	surfaceparm trans
 	surfaceparm nomarks
 	surfaceparm nolightmap
 	qer_trans 0.70
 	cull none
 	cull disable
	q3map_lightsubdivide 256
	q3map_surfacelight 1000
	{
 		map textures/kjapp/blueglass.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
 	}

}

textures/kjapp/cyanwater
{
	nocompress
	qer_editorimage textures/kjapp/water.tga
	qer_trans .5
	q3map_surfacelight 50
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	cull disable
	nopicmip
	nofog

	waterfogvars ( 0.11 0.13 0.15 ) 0.2
	{ 
		fog on
		map textures/kjapp/water.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod scroll -.02 .001
	}
	
	{ 
		fog on
		map textures/kjapp/cripple.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.3 0.02 0 0.25 
		tcmod scale 0.01 0.01
		tcmod scroll -.001 -.0002
	}
	
	{ 
		fog on
		map textures/kjapp/cripple.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.1 0.03 0 0.4
		tcmod scale 1 1
		tcmod scroll -.005 -.001
	}
	{ 
		fog on
		map textures/kjapp/quartz.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.4 0.02 0 0.3
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .005 -.001
	}
}

textures/kjapp/greyice
{
	qer_editorimage textures/kjapp/slick.tga
	surfaceparm nodamage
	surfaceparm slick
	q3map_lightsubdivide 128
	q3map_surfacelight 30
	{
		map $lightmap
		rgbGen identity
	}
	{
            map textures/kjapp/slick.tga	
		blendFunc GL_DST_COLOR GL_ZERO
	      rgbGen identity //vertex
	}  
	{
   	      map textures/kjapp/shine.jpg
   		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
		rgbGen const ( 0.1 0.8 0.2 )
    		rgbGen identity //vertex
    		tcGen environment
    }
}

